Variablegroups - Share Variable Group
Add a variable group.
PATCH https://dev.azure.com/{organization}/_apis/distributedtask/variablegroups?variableGroupId={variableGroupId}&api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
|
variable
|
query | True |
integer (int32) |
Request Body
| Name | Type | Description |
|---|---|---|
| body |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.variablegroups_manage | Grants the ability to read, create and manage variablegroups. |
Definitions
| Name | Description |
|---|---|
|
Project |
|
|
Variable |
A variable group reference is a shallow reference to variable group. |
ProjectReference
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
|
| name |
string |
VariableGroupProjectReference
A variable group reference is a shallow reference to variable group.
| Name | Type | Description |
|---|---|---|
| description |
string |
Gets or sets description of the variable group. |
| name |
string |
Gets or sets name of the variable group. |
| projectReference |
Gets or sets project reference of the variable group. |